package com.zulutrade.sample.trading.client.trading.dtos;

import org.codehaus.jackson.annotate.JsonAutoDetect;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;

@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class ClosedTradesResponseMessage {

	private OrderCanceledResponseMessage[] canceledOrders;
	
	private TradeClosedResponseMessage[] closedPositions;
	
	private int errorCode = 0;
	
	private String errorMessage;
	
	private boolean success;
	
	public ClosedTradesResponseMessage(){}

	public OrderCanceledResponseMessage[] getCanceledOrders() {
		return this.canceledOrders;
	}

	public void setCanceledOrders(OrderCanceledResponseMessage[] canceledOrders) {
		this.canceledOrders = canceledOrders;
	}

	public TradeClosedResponseMessage[] getClosedPositions() {
		return this.closedPositions;
	}

	public void setClosedPositions(TradeClosedResponseMessage[] closedPositions) {
		this.closedPositions = closedPositions;
	}

	public int getErrorCode() {
		return this.errorCode;
	}

	public void setErrorCode(int errorCode) {
		this.errorCode = errorCode;
	}

	public String getErrorMessage() {
		return this.errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public boolean isSuccess() {
		return this.success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}
}
