package com.zulutrade.sample.trading.client.trading.dtos;

import org.codehaus.jackson.annotate.JsonAutoDetect;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;

@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class NewOrderResponseMessage {
	
	private boolean success;
	private String uniqueId;
	private String brokerTicket;
	private String dateOpenedAsString;
	private Long openUtcTimeStamp;
	private String currencyName;
	private boolean buy;
	private double lots;
	private double entryRate;
	private double stopValue;
	private int trailingStopValue;
	private int trailingStopConditionPipsValue;
	private double limitValue;
	private int errorCode;
	private String errorMessage;

	public boolean isSuccess(){
		return this.success;
	}
	
	public void setSuccess(boolean success){
		this.success = success;
	}
	
	public String getUniqueId() {
		return this.uniqueId;
	}
	
	public void setUniqueId(String uniqueId) {
		this.uniqueId = uniqueId;
	}
	
	public String getBrokerTicket() {
		return this.brokerTicket;
	}
	
	public void setBrokerTicket(String brokerTicket) {
		this.brokerTicket = brokerTicket;
	}
	
	public String getDateOpenedAsString() {
		return this.dateOpenedAsString;
	}
	
	public void setDateOpenedAsString(String dateOpenedAsString) {
		this.dateOpenedAsString = dateOpenedAsString;
	}
	
	public Long getOpenUtcTimeStamp() {
		return openUtcTimeStamp;
	}

	public void setOpenUtcTimeStamp(Long openUtcTimeStamp) {
		this.openUtcTimeStamp = openUtcTimeStamp;
	}

	public String getCurrencyName() {
		return this.currencyName;
	}
	
	public void setCurrencyName(String currencyName) {
		this.currencyName = currencyName;
	}
	
	public boolean isBuy() {
		return this.buy;
	}
	
	public void setBuy(boolean buy) {
		this.buy = buy;
	}
	
	public double getLots() {
		return this.lots;
	}
	
	public void setLots(double lots) {
		this.lots = lots;
	}
	
	public double getEntryRate() {
		return this.entryRate;
	}
	
	public void setEntryRate(double entryRate) {
		this.entryRate = entryRate;
	}
	
	public int getErrorCode(){
		return this.errorCode;
	}
	
	public void setErrorCode(int errorCode){
		this.errorCode = errorCode;
	}
	
	public String getErrorMessage(){
		return this.errorMessage;
	}
	
	public void setErrorMessage(String errorMessage){
		this.errorMessage = errorMessage;
	}

	public double getStopValue() {
		return this.stopValue;
	}

	public void setStopValue(double stopValue) {
		this.stopValue = stopValue;
	}

	public double getLimitValue() {
		return this.limitValue;
	}

	public void setLimitValue(double limitValue) {
		this.limitValue = limitValue;
	}

	public int getTrailingStopValue() {
		return this.trailingStopValue;
	}

	public void setTrailingStopValue(int trailingStopValue) {
		this.trailingStopValue = trailingStopValue;
	}

	public int getTrailingStopConditionPipsValue() {
		return this.trailingStopConditionPipsValue;
	}

	public void setTrailingStopConditionPipsValue(int trailingStopConditionPipsValue) {
		this.trailingStopConditionPipsValue = trailingStopConditionPipsValue;
	}
	
}
