package com.zulutrade.sample.trading.client.configuration;

/**
 * Holder of trading servers
 * access configuration
 * @author ZuluTrade
 */
public class ZuluTradingServerConfig {

	/**
	 * The url of trading server incl port
	 * e.g. http://tradingserver.zulutrade.com 
	 */
	private final String tradingServicesUrl;
	
	public ZuluTradingServerConfig(String tradingServicesUrl) {
		super();
		this.tradingServicesUrl = tradingServicesUrl;
	}	
	
	public String getTradingServicesUrl() {
		return this.tradingServicesUrl;
	}

}
