package com.zulutrade.sample.trading.client.trading.dtos;

import org.codehaus.jackson.annotate.JsonAutoDetect;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;

@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class OpenTradesResponseMessage {

	private NewOrderResponseMessage[] openOrders;

	private NewMarketTradeResponseMessage[] openPositions;
	
	public OpenTradesResponseMessage(){};		 	
	
	public NewOrderResponseMessage[] getOpenOrders() {
		return this.openOrders;
	}
	
	public void setOpenOrders(NewOrderResponseMessage[] openOrders) {
		this.openOrders = openOrders;
	}
	
	public NewMarketTradeResponseMessage[] getOpenPositions() {
		return this.openPositions;
	}
	
	public void setOpenPositions(NewMarketTradeResponseMessage[] openPositions) {
		this.openPositions = openPositions;
	}
}
